#
# spec file for package ps (Version 98.8.4)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         ps
Release:      0
Copyright:    
Group: 
Provides:     
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      98.8.4
Summary:      procps
Source: procinfo-13.tar.gz
Source1: procps-1.2.7.tar.gz
Source2: psmisc.tar.gz
Patch: procinfo-13.dif
Patch1: procps-1.2.7.dif
Patch2: psmisc.dif
%description
Utilities for displaying process and memory information.
Also includes Steve "Mr. Bassman" Bryant's enhanced 'w'.

Authors:
--------
    Helmut Geyer <Helmut.Geyer@iwr.uni-heidelberg.de>
    Charles L. Blake <cblake@bbn.com>
    Michael K. Johnson <johnsonm@merengue.oit.unc.edu>
    Werner Almesberger <almesber@di.epfl.ch>
    Branko Lankester <branko@hacktic.nl>
    Robert Nation <nation@rocket.sanders.lockheed.com>
    David Engel
    Larry Greenfield <greenfie@gauss.rutgers.edu>
    Roger Binns
    Brian Edmonds
    Steve Mr. Bassman Bryant <bassman@muttley.soc.staffs.ac.uk>

%prep
%setup -n procinfo-13 -b 1 -b 2
%patch
cd ../procps-1.2.7
%patch -P 1
cd ../psmisc
%patch -P 2
%build
make -f Makefile.Linux compile
cd ../procps-1.2.7
make -f Makefile.Linux compile
cd ../psmisc
make -f Makefile.Linux compile
%install
make -f Makefile.Linux install
cd ../procps-1.2.7
make -f Makefile.Linux install
cd ../psmisc
make -f Makefile.Linux install
Check
%files
/bin/fuser
/bin/ps
/usr/X11R6/bin/XConsole
/usr/X11R6/bin/xcpustate
/usr/bin/free
/usr/bin/killall
/usr/bin/lsdev
/usr/bin/procinfo
/usr/bin/pstree
/usr/bin/sessreg
/usr/bin/skill
/usr/bin/snice
/usr/bin/socklist
/usr/bin/tload
/usr/bin/top
/usr/bin/uptime
/usr/bin/vmstat
/usr/bin/w
/usr/bin/watch
/usr/sbin/psupdate
%doc /usr/man/man1/free.1.gz
%doc /usr/man/man1/fuser.1.gz
%doc /usr/man/man1/killall.1.gz
%doc /usr/man/man1/ps.1.gz
%doc /usr/man/man1/pstree.1.gz
%doc /usr/man/man1/skill.1.gz
%doc /usr/man/man1/snice.1.gz
%doc /usr/man/man1/tload.1.gz
%doc /usr/man/man1/top.1.gz
%doc /usr/man/man1/uptime.1.gz
%doc /usr/man/man1/w.1.gz
%doc /usr/man/man1/watch.1.gz
%doc /usr/man/man8/lsdev.8.gz
%doc /usr/man/man8/procinfo.8.gz
%doc /usr/man/man8/psupdate.8.gz
%doc /usr/man/man8/vmstat.8.gz

